package com.keyware.sonar.cxx.rules.checkers;

import com.keyware.sonar.cxx.CxxFileTesterHelper;
import org.junit.jupiter.api.Test;
import org.sonar.cxx.CxxAstScanner;
import org.sonar.cxx.squidbridge.api.SourceFile;
import org.sonar.cxx.squidbridge.checks.CheckMessagesVerifier;

import java.io.IOException;

public class NumericalCopyTest {

    @Test
    public void checkTest() throws IOException {
        var checker = new NumericalCopyChecker();
        var tester = CxxFileTesterHelper.create("NumericalCopyChecker.cc");
        SourceFile file = CxxAstScanner.scanSingleInputFile(tester.asInputFile(), checker);
        CheckMessagesVerifier.verify(file.getCheckMessages())
                .next().atLine(15).withMessage("应返回该私有数值的副本")
                .next().atLine(25).withMessage("应返回该私有数值的副本")
                .noMore();
    }

}
